Page MenuHomePhabricator

stats.wikimedia.org home page should link to wikistats 2
Closed, DuplicatePublic

Description

Users going to stats.wikimedia.org homepage should see message about wikistats2, The banner that links to wikistats 2 is linked on other pages of the site but not on home page

<text>

Dec 2017: WMF Analytics Team is happy to announce the first release of Wikistats 2  (link)
Wikistats has been redesigned for architectural simplicity, faster data processing, and a more dynamic and interactive user experience. The data used in the reports will also be made available for external processing.  

First goal is to match the numbers of the current system, and to provide the most important reports, as decided by the Wikistats community (see survey).  
Over time, we will continue to migrate reports and add new ones that you find useful. We can also analyze the data in new and interesting ways, and look forward to hearing your feedback and suggestions.

</text>

Event Timeline

Nuria created this task.Apr 5 2018, 6:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2018, 6:36 PM
fdans triaged this task as Normal priority.Apr 12 2018, 5:06 PM
fdans added a parent task: T186120: Wikistats Beta.
fdans moved this task from Incoming to Wikistats Beta on the Analytics board.
Milimetric raised the priority of this task from Normal to High.May 7 2018, 8:15 PM
Milimetric lowered the priority of this task from High to Normal.
Milimetric raised the priority of this task from Normal to High.Sep 18 2018, 1:58 PM

I wonder: is there a link in Wikistats 2.0 to Wikistats 1.0 ? If not, why not?
After all most of the reports that contain the above-mentioned description have no counterpart in Wikistats 2.0 yet, and nothing is around the corner, right?
If people want detailed reports on content, editors and edits ( like those reports listed on https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report ), Wikistats 1.0 dump-based reports are often still their only resort, right?
Frankly I feel the above announcement which we added Dec 2017 better be reworded, or withdrawn.

Nuria added a comment.Sep 24 2018, 4:41 PM

If people want detailed reports on content, editors and edits ( like those reports listed on https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report ), Wikistats 1.0 dump-based reports are often still their only resort, right?

We are launching more detailed reports by editors and edits soon. See "pages to date" (a.k.a: article count) https://gerrit.wikimedia.org/r/#/c/analytics/wikistats2/+/458784/ and "top editors": https://gerrit.wikimedia.org/r/#/c/analytics/aqs/+/461666/

I wonder: is there a link in Wikistats 2.0 to Wikistats 1.0 ? If not, why not?

This work is planned for the upcoming quarter, see for example: https://phabricator.wikimedia.org/T187806

Nuria added a comment.Sep 28 2018, 5:31 PM

Wikistats 1.0 dump-based reports are often still their only resort, right?

I do not think so, there are two additional sources of data the API and the new wikistats2 UI: http://stats.wikimedia.org/v2

The API offers metrics and data that is not yet surfaced on the UI (like edit counts for project families like "all-wikipedias") , the work to surface those on UI is tracked here: https://phabricator.wikimedia.org/T188550

Please see metrics deployed this week:
"top editors" (still some changes pending to split list by bot/human, tracked here: https://phabricator.wikimedia.org/T205725). Request for this report: https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report#Most_prolific_contributors_(39)
https://stats.wikimedia.org/v2/#/eu.wikipedia.org/contributing/top-editors/normal|table|2-Year|~total

"top edited pages", which was requested here: https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report#Most_edited_articles_(15)
https://stats.wikimedia.org/v2/#/eu.wikipedia.org/contributing/top-edited-pages/normal|table|2-Year|~total

and "pages to date " (a.k.a article count) which was requested here: https://stats.wikimedia.org/v2/#/eu.wikipedia.org/contributing/pages-to-date/normal|line|All|page_type~content
https://stats.wikimedia.org/v2/#/eu.wikipedia.org/contributing/pages-to-date/normal|line|All|~total

So, as you can see we are going down the list

fdans added a subscriber: fdans.Nov 12 2018, 11:31 AM

This task is solved as of T203128. Wikistats 2 is now featured in the front page of Wikistats, replacing the Report Card image and link.